2004年11月28日

[vine-users:068885] alsa kernel-module version mismatch

こんばんは。
ここ数日時間を見付けてはvine3.0にalsaのDriverをinstallしていますが、四苦
八苦しています。
結果を先に申しますと、原因がalsa kernel-module version mismatchと思われ
るのですが、解決方
法が分かりません。

私のやったことは、当初alsa projectからalsa 1.0.6 のソースを持ってきてコ
ンパイルしました。
これでは上手くいかず。synapticパッケージマネージャで alsa 1.0.5a-0vol2を

入れました。
しかし、これでも上手く音が出ず下記を実行すると。


[root@xxxxx root]# depmod -a
[root@xxxxx root]# /etc/rc.d/init.d/alsasound restart
Starting sound driver: snd-intel8x0
/lib/modules/2.4.26-0vl16/kernel/sound/acore/snd.o: kernel-module vers
ion mismatch
/lib/modules/2.4.26-0vl16/kernel/sound/acore/snd.o was compiled for
kernel version 2.4.26-0vl16.sv 1
while this kernel is version 2.4.26-0vl16.
/lib/modules/2.4.26-0vl16/kernel/sound/acore/snd.o: insmod
/lib/modules/2.4.26-0vl16/kernel/sound/acore/sn d.o failed
/lib/modules/2.4.26-0vl16/kernel/sound/acore/snd.o: insmod snd-intel8x0
failed
done

のようになりました。


lilo.confは下記のようにしてます。
kernelは以前にパッチを当ててkernel 2.4.26-0vl16.sv 1
としていましたが、kernel 2.4.26-0vl16に戻して使用しています。

prompt
timeout=50
default=linux
boot=/dev/hda
map=/boot/map
install=menu
message=/boot/message

image=/boot/vmlinuz-2.4.26-0vl16
label=linux
read-only
root=/dev/hda2
append="resume2=swap:/dev/hda3"


image=/boot/vmlinuz-2.4.26-0vl15
label=linux-old
initrd=/boot/initrd-2.4.26-0vl15.img
read-only
root=/dev/hda2


kernelのミスマッチであるように思われますが、どなたか解決策をアドバイスを
頂けないでしょうか?
他にも必要な情報がありましたら御指摘ください。
以上、宣しくお願いいたします。
高知@Kitagawa Katsuichi

投稿者 xml-rpc : 2004年11月28日 00:21
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/28310
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。